﻿
/*--- FEATURED VIDEO CHANNEL PAGE 
Left Content Gray Right Angle Image
Go To YouTube Channel Component ---*/


/* --- Goto youtube styles --- */

.goto-youtube-section {
    padding: 2rem 0;
}

.goto-youtube-row {
    height: 360px;
    position: relative;
    background-color: #f2f2f1;
}

    .goto-youtube-row::before {
        content: "";
        background-size: 60% 100%;
        position: absolute;
        top: 0px;
        right: 0px;
        bottom: 0px;
        left: 0px;
        opacity: 0.5;
    }

.goto-youtube-image {
    width: 100%;
    height: 100%;
    padding: 2rem 0 2rem 2rem;
    /* clip-path: polygon(24% 0, 100% 0, 100% 100%, 0% 100%); */
    -webkit-mask: linear-gradient(110deg, transparent 28%, #fff 28%) bottom left;
    -webkit-mask-size: 2000px 2000px;
    /* width = height and big enough to consider all the cases */
    -webkit-mask-repeat: no-repeat;
    mask: linear-gradient(110deg, transparent 28%, #fff 28%) bottom left;
    mask-size: 2000px 2000px;
    /* width = height and big enough to consider all the cases */
    mask-repeat: no-repeat;
}

    .goto-youtube-image img {
        width: 100%;
        right: 0;
        float: right;
        height: 100%;
        object-fit: cover;
    }

.goto-youtube-text-container {
    width: 65%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin: 0 auto;
}

.goto-youtube-description {
    font-size: 18px;
    line-height: 1.6;
    margin-bottom: 3rem;
    color: #444444;
}

.goto-youtube-link a {
    font-size: 20px;
    color: var(--primary-green);
    font-weight: 700;
}

    .goto-youtube-link a img {
        margin-left: 0.75rem;
        height: 32px;
    }

@media (max-width: 1024px) {
    .goto-youtube-row {
        height: 400px;
    }

    .goto-youtube-text-container {
        width: 85%;
    }
}

@media (max-width: 991.98px) {
    .goto-youtube-row {
        height: 270px;
        padding: 1rem;
        padding-right: 0;
    }

        .goto-youtube-row::before {
            background-size: 100% 100%;
        }

    .goto-youtube-text-container {
        width: 100%;
    }

        .goto-youtube-text-container p {
            margin-top: 0.5rem;
        }

    .goto-youtube-image {
        padding: 0;
    }
}

@media (max-width: 767.98px) {
    .goto-youtube-section {
        padding: 20px 15px 25px 15px;
    }

    .goto-youtube-row {
        padding: 1rem 1.5rem;
        flex-wrap: wrap-reverse;
        height: fit-content;
        box-shadow: 3px 3px 12px 0 rgba(0, 0, 0, 0.33);
    }

    .goto-youtube-description {
        font-size: 18px;
        margin-top: 1rem;
        margin-bottom: 0.5rem;
    }

    .goto-youtube-link a {
        font-size: 16px;
    }

    .goto-youtube-link {
        text-align: center;
        margin-top: 1rem;
        margin-bottom: 1rem;
    }

        .goto-youtube-link a img {
            margin-left: 0.5rem;
        }

    .goto-youtube-image {
        display: none;
        height: 160px;
        padding: 0;
        -webkit-mask: none;
    }
}
